Loading...
Searching...
No Matches
ssh_packet_callbacks_struct Struct Reference
The libssh API » The libssh callbacks

## Data Fields

uint8_t | start
uint8_t | n_callbacks
ssh_packet_callback * | callbacks
void * | user

## Field Documentation

## callbacks

ssh_packet_callback* ssh_packet_callbacks_struct::callbacks

A pointer to n_callbacks packet callbacks

## n_callbacks

uint8_t ssh_packet_callbacks_struct::n_callbacks

Number of packets being handled by this callback struct

## start

uint8_t ssh_packet_callbacks_struct::start

Index of the first packet type being handled

## user

void* ssh_packet_callbacks_struct::user

User-provided data. User is free to set anything he wants here

The documentation for this struct was generated from the following file:

- callbacks.h